Skip to main content
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
trm
/
{trmId}
/
required_actions
TypeScript
const response: Promise<FireblocksResponse<TRLinkGetRequiredActionsResponse>> = fireblocks.tRLink.getTRLinkTrmRequiredActions(tRLinkApiGetTRLinkTrmRequiredActionsRequest);
{
  "actions": [
    {
      "type": "UPLOAD_BENEFICIARY_PII",
      "description": "Provide beneficiary PII fields to process the TR message",
      "data": {
        "beneficiaryRequiredFields": [
          {
            "type": "naturalPerson",
            "path": "Beneficiary.beneficiaryPerson[].naturalPerson.name.nameIdentifier[].primaryIdentifier"
          }
        ],
        "originatorRequiredFields": [
          {
            "type": "naturalPerson",
            "path": "Beneficiary.beneficiaryPerson[].naturalPerson.name.nameIdentifier[].primaryIdentifier"
          }
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

trmId
string
required

Travel Rule Message unique identifier

Response

Required actions retrieved successfully

Response containing the list of required actions for a TRM

actions
object[]
required

List of required actions for the TRM

Maximum array length: 10